Mono używa wersji 1.1.4322 zamiast 2.x i wyświetla błąd


(micechal) #1

Witam. Pod Windowsem miałem własny serwer do Terrarii na plikach Tshock, ale pewnego razu podczas burzy komp się wyłączył, a przy włączaniu Windy pojawiał się blue screen. W taki włąśnie sposób siedzę teraz na Ubuntu 10.04 (Wiem, fascynująca historia), ale do rzeczy: Znalazłem pliki serwerowe TDSM, ich strona to http://www.tdsm.org i jest tam napisane, że są one na Windowsa i na Linuxa. Staram się je odpalić ale nie udaje się. Robię wszystko po kolei, tak jak tutaj http://www.tdsm.org/index.php?topic=45.0 jest napisane, zainstalowałem mono, stworzyłem katalog, ściągnąłem tam Terraria_Server.exe i gdy próbuję to odpalić przez mono, otrzymuję coś takiego:

pro-user@pro-user-desktop:~/terraria$ mono Terraria_Server.exe

WARNING: The runtime version supported by this application is unavailable.

Using default runtime: v1.1.4322


**(Terraria_Server.exe:2972): WARNING**: Missing method System.Console::set_Title(string) in assembly /usr/lib/mono/1.0/mscorlib.dll, referenced in assembly /home/pro-user/terraria/Terraria_Server.exe


Unhandled Exception: System.MissingMethodException: Method not found: 'System.Console.set_Title'.

Z tego co widzę, brakuje jakiejś biblioteki mscorlib.dll, ale gdy ją ściągnąłem i spróbowałem wstawić do tego katalogu, pokazuje mi się komunikat, że nie mam dostępu. Poza tym, dlaczego nie używa wersji mono 2.x, tylko 1.x Przecież mam zainstalowane obydwie (chyba)? Liczę na waszą pomoc, bo ja już nie ogarniam tego linuxa, jedyne co mi się udało to zainstalować LibreOffice, Gimpa, Qmmp i LXDE :smiley:

-- Dodane 31.07.2011 (N) 12:06 --

Pomoże ktoś?

-- Dodane 01.08.2011 (Pn) 19:48 --

Refresh